import { Component, OnInit } from '@angular/core';
import HALO from 'vanta/dist/vanta.halo.min';
import * as THREE from 'three';

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss']
})
export class HomeComponent implements OnInit {

  private vantaEffect: any;

  constructor() { }

  ngOnInit(): void {
    this.vantaEffect = HALO({
      el: "#home-wrapper",
      THREE: THREE, // use a custom THREE when initializing
    });
  }

}
